## org.codehaus.groovy.grails.web.servlet
Interface GrailsRequestContext

All Known Implementing Classes:
  WebRequestDelegatingRequestContext

    public interface GrailsRequestContext

An interface that defines the methods and objects available during a Grails request context

Since:
  0.6

  Created: Jul 20, 2007 Time: 6:28:17 PM
Author:
  Graeme Rocher

Method Summary
`String` `getActionName()`
`ApplicationContext` `getApplicationContext()` The ApplicationContext instance
`String` `getControllerName()`
`Writer` `getOut()` The response writer
`Map` `getParams()` The params object
`HttpServletRequest` `getRequest()` The request object
`String` `getRequestURI()`
`HttpServletResponse` `getResponse()` The response object
`ServletContext` `getServletContext()` The servletContext object
`HttpSession` `getSession()` The session object

Method Detail

### getRequest

    HttpServletRequest getRequest()

  The request object

  Returns:
    The request object

### getResponse

    HttpServletResponse getResponse()

  The response object

  Returns:
    The response object

### getSession

    HttpSession getSession()

  The session object

  Returns:
    The session object

### getServletContext

    ServletContext getServletContext()

  The servletContext object

  Returns:
    The servletContext Object

### getParams

    Map getParams()

  The params object

  Returns:
    The params object

### getApplicationContext

    ApplicationContext getApplicationContext()

  The ApplicationContext instance

  Returns:
    The ApplicationCOntext

### getOut

    Writer getOut()

  The response writer

  Returns:
    The response writer

### getActionName

    String getActionName()

  Returns:
    The Action name

### getControllerName

    String getControllerName()

  Returns:
    The Controller Name

### getRequestURI

    String getRequestURI()

  Returns:
    The Request URI

Copyright (c) 2005-2009 The Grails project